Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.webapp
Class WebXmlConfiguration

    java.lang.Object
      org.mortbay.jetty.webapp.WebXmlConfiguration

All Implemented Interfaces:
  Serializable, Configuration

Direct Known Subclasses:
  AbstractConfiguration

    public class WebXmlConfiguration

extends Object
implements Configuration

Configure by parsing default web.xml and web.xml

Author:
  gregw
See Also:
  Serialized Form

Field Summary
`protected Object` | `_constraintMappings`
`protected WebAppContext` | `_context`
`protected boolean` | `_defaultWelcomeFileList`
`protected Map` | `_errorPages`
`protected Object` | `_filterMappings`
`protected Object` | `_filters`
`protected boolean` | `_hasJSP`
`protected String` | `_jspServletClass`
`protected String` | `_jspServletName`
`protected Object` | `_listeners`
`protected ServletHandler` | `_servletHandler`
`protected Object` | `_servletMappings`
`protected Object` | `_servlets`
`protected int` | `_version`
`protected Object` | `_welcomeFiles`
`protected XmlParser` | `_xmlParser`

Constructor Summary
`WebXmlConfiguration()`

Method Summary
`void` | `configure(String webXml)`
`void` | `configureClassLoader()` Configure ClassPath.
`void` | `configureDefaults()` Configure Defaults.
`void` | `configureWebApp()` Configure WebApp.
`void` | `deconfigureWebApp()` DeConfigure WebApp.
`protected URL` | `findWebXml()`
`protected String` | `getJSPServletName()`
`WebAppContext` | `getWebAppContext()` Get the context on which the configuration is performed.
`protected void` | `initContextParam(XmlParser.Node node)`
`protected void` | `initDisplayName(XmlParser.Node node)`
`protected void` | `initDistributable(XmlParser.Node node)`
`protected void` | `initErrorPage(XmlParser.Node node)`
`protected void` | `initFilter(XmlParser.Node node)`
`protected void` | `initFilterMapping(XmlParser.Node node)`
`protected void` | `initialize(XmlParser.Node config)`
`protected void` | `initJspConfig(XmlParser.Node node)`
`protected void` | `initListener(XmlParser.Node node)`
`protected void` | `initLocaleEncodingList(XmlParser.Node node)`
`protected void` | `initLoginConfig(XmlParser.Node node)`
`protected void` | `initMimeConfig(XmlParser.Node node)`
`protected void` | `initSecurityConstraint(XmlParser.Node node)`
`protected void` | `initSecurityRole(XmlParser.Node node)`
`protected void` | `initServlet(XmlParser.Node node)`
`protected void` | `initServletMapping(XmlParser.Node node)`
`protected void` | `initSessionConfig(XmlParser.Node node)`
`protected void` | `initTagLib(XmlParser.Node node)`
`protected void` | `initWebXmlElement(String element, XmlParser.Node node)` Handle web.xml element.
`protected void` | `initWelcomeFileList(XmlParser.Node node)`
`protected Object` | `newListenerInstance(Class clazz)`
`protected String` | `normalizePattern(String p)`
`void` | `setWebAppContext(WebAppContext context)` Set up a context on which to perform the configuration.
`static XmlParser` | `webXmlParser()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _context

    protected WebAppContext _context

### _xmlParser

    protected XmlParser _xmlParser

### _filters

    protected Object _filters

### _filterMappings

    protected Object _filterMappings

### _servlets

    protected Object _servlets

### _servletMappings

    protected Object _servletMappings

### _welcomeFiles

    protected Object _welcomeFiles

### _constraintMappings

    protected Object _constraintMappings

### _listeners

    protected Object _listeners

### _errorPages

    protected Map _errorPages

### _hasJSP

    protected boolean _hasJSP

### _jspServletName

    protected String _jspServletName

### _jspServletClass

    protected String _jspServletClass

### _defaultWelcomeFileList

    protected boolean _defaultWelcomeFileList

### _servletHandler

    protected ServletHandler _servletHandler

### _version

    protected int _version

Constructor Detail

### WebXmlConfiguration

    public WebXmlConfiguration()

Method Detail

### webXmlParser

    public static XmlParser webXmlParser()

### setWebAppContext

    public void setWebAppContext(WebAppContext context)

  Description copied from interface: `Configuration`
  Set up a context on which to perform the configuration.

  Specified by:
    `setWebAppContext` in interface `Configuration`

### getWebAppContext

    public WebAppContext getWebAppContext()

  Description copied from interface: `Configuration`
  Get the context on which the configuration is performed.

  Specified by:
    `getWebAppContext` in interface `Configuration`

### configureClassLoader

    public void configureClassLoader()
                              throws Exception

  Configure ClassPath.

  Specified by:
    `configureClassLoader` in interface `Configuration`
  Throws:
    `Exception`

### configureDefaults

    public void configureDefaults()
                           throws Exception

  Description copied from interface: `Configuration`
  Configure Defaults. This method is called to intialize the context to the containers default configuration. Typically this would mean application of the webdefault.xml file.

  Specified by:
    `configureDefaults` in interface `Configuration`
  Throws:
    `Exception`

### configureWebApp

    public void configureWebApp()
                         throws Exception

  Description copied from interface: `Configuration`
  Configure WebApp. This method is called to apply the standard and vendor deployment descriptors. Typically this is web.xml and jetty-web.xml.

  Specified by:
    `configureWebApp` in interface `Configuration`
  Throws:
    `Exception`

### findWebXml

    protected URL findWebXml()
                      throws IOException,
                             MalformedURLException

  Throws:
    `IOException`
    `MalformedURLException`

### configure

    public void configure(String webXml)
                   throws Exception

  Throws:
    `Exception`

### deconfigureWebApp

    public void deconfigureWebApp()
                           throws Exception

  Description copied from interface: `Configuration`
  DeConfigure WebApp. This method is called to undo all configuration done to this webapphandler. This is called to allow the context to work correctly over a stop/start cycle

  Specified by:
    `deconfigureWebApp` in interface `Configuration`
  Throws:
    `Exception`

### initialize

    protected void initialize(XmlParser.Node config)
                       throws ClassNotFoundException,
                              UnavailableException

  Throws:
    `ClassNotFoundException`
    `UnavailableException`

### initWebXmlElement

    protected void initWebXmlElement(String element,
                                     XmlParser.Node node)
                              throws Exception

  Handle web.xml element. This method is called for each top level element within the web.xml file. It may be specialized by derived WebAppHandlers to provide additional configuration and handling.

  Parameters:
    `element` - The element name
    `node` - The node containing the element.
  Throws:
    `Exception`

### initDisplayName

    protected void initDisplayName(XmlParser.Node node)

### initContextParam

    protected void initContextParam(XmlParser.Node node)

### initFilter

    protected void initFilter(XmlParser.Node node)

### initFilterMapping

    protected void initFilterMapping(XmlParser.Node node)

### normalizePattern

    protected String normalizePattern(String p)

### initServlet

    protected void initServlet(XmlParser.Node node)

### initServletMapping

    protected void initServletMapping(XmlParser.Node node)

### initListener

    protected void initListener(XmlParser.Node node)

### newListenerInstance

    protected Object newListenerInstance(Class clazz)
                                  throws InstantiationException,
                                         IllegalAccessException

  Throws:
    `InstantiationException`
    `IllegalAccessException`

### initDistributable

    protected void initDistributable(XmlParser.Node node)

### initSessionConfig

    protected void initSessionConfig(XmlParser.Node node)

### initMimeConfig

    protected void initMimeConfig(XmlParser.Node node)

### initWelcomeFileList

    protected void initWelcomeFileList(XmlParser.Node node)

### initLocaleEncodingList

    protected void initLocaleEncodingList(XmlParser.Node node)

### initErrorPage

    protected void initErrorPage(XmlParser.Node node)

### initTagLib

    protected void initTagLib(XmlParser.Node node)

### initJspConfig

    protected void initJspConfig(XmlParser.Node node)

### initSecurityConstraint

    protected void initSecurityConstraint(XmlParser.Node node)

### initLoginConfig

    protected void initLoginConfig(XmlParser.Node node)

### initSecurityRole

    protected void initSecurityRole(XmlParser.Node node)

### getJSPServletName

    protected String getJSPServletName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.